> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--cloud-security/types/objects/cloud-tool.md).

# cloudTool

Tool an AI agent can invoke at inference time.

### Examples

```graphql
type CloudTool {
  name: String
  type: String
  target: String
  where: String
  matched: String
  args: [String]
}
```

### Fields

| Field            | Description                                                         | Supported fields |
| ---------------- | ------------------------------------------------------------------- | ---------------- |
| name `String`    | Name of the tool.                                                   |                  |
| type `String`    | Category of the tool.                                               |                  |
| target `String`  | Resource the tool points to. Empty for inline capabilities.         |                  |
| where `String`   | Provenance of the detection.                                        |                  |
| matched `String` | Literal source string when the detection provenance is not the API. |                  |
| args `[String]`  | Names of the tool arguments.                                        |                  |

### References

#### Fields with this object:

* [{} CloudItem.tools](/api-documentation/api-reference/api--cloud-security/types/objects/cloud-item.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--cloud-security/types/objects/cloud-tool.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
